This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 971787 - rpmlint doesn't handle Unicode encoding errors gracefully
rpmlint doesn't handle Unicode encoding errors gracefully
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 958038
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 05:30 EDT by Thomas Woerner
Modified: 2015-05-29 07:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 958038
Environment:
Last Closed: 2015-05-29 07:10:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Ville Skyttä 2013-06-15 06:33:48 EDT
I cannot reproduce on Fedora 17, gnome-terminal, rpmlint-test-tag-not-utf8.spec; following the recipe in bug 958038 comment 5 did not make a difference here (in case it was intended to set the terminal into the required "non unicode" mode).
Comment 2 Toshio Ernie Kuratomi 2013-06-21 11:41:45 EDT
I took a look at the code and see that rpmlint has an upstream fix for this problem.  It's different than the fix in bug 958038 and may be more complete.

RHEL package maintainers may want to take a look at the __print function and its usage in Filter.py in rpmlint-1.5+  (On F17, it looks like we use upstream + a small patch for a cornercase.  This appears to have been merged upstream for rpmlint-1.5).
Comment 3 Fedora End Of Life 2013-09-16 10:06:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora End Of Life 2015-05-29 05:06:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Hubert Kario 2015-05-29 07:10:26 EDT
Issue is fixed in rpmlint-1.6-2.fc21.noarch, closing the issue as resolved.

Note You need to log in before you can comment on or make changes to this bug.